Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata
Interface MetadataExtensionInformation

    @UML(identifier="MD_MetadataExtensionInformation",
         specification=ISO_19115)
    public interface MetadataExtensionInformation

Information describing metadata extensions.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends ExtendedElementInformation>` | `getExtendedElementInformation()` Provides information about a new metadata element, not found in ISO 19115, which is required to describe geographic data.
`OnLineResource` | `getExtensionOnLineResource()` Information about on-line sources containing the community profile name and the extended metadata elements.

Method Detail

### getExtensionOnLineResource

    @UML(identifier="extensionOnLineResource",
         obligation=OPTIONAL,
         specification=ISO_19115)
    OnLineResource getExtensionOnLineResource()

  Information about on-line sources containing the community profile name and the extended metadata elements. Information for all new metadata elements.

### getExtendedElementInformation

    @UML(identifier="extendedElementInformation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ExtendedElementInformation> getExtendedElementInformation()

  Provides information about a new metadata element, not found in ISO 19115, which is required to describe geographic data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.